Evals
Score one judge template against an agent's recent calls (not saved)
POST
/
v1
/
evals
/
quick-run
Score one judge template against an agent's recent calls (not saved)
curl --request POST \
--url https://api.sempera.org/v1/evals/quick-run \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sempera.org/v1/evals/quick-run"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sempera.org/v1/evals/quick-run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "judge_quick_run",
"template_id": "<string>",
"agent_id": "<string>",
"saved": false,
"calls_considered": 123,
"results": [
{
"call_id": "<string>",
"recorded_at": "<string>",
"verdict": "<string>",
"score": 123,
"rationale": "<string>"
}
]
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}Authorizations
A workspace API key, sent as Authorization: Bearer sempera_sk_... Each operation names the one scope it needs. Scopes, key kinds and roles are in the Authentication guide.
⌘I
Score one judge template against an agent's recent calls (not saved)
curl --request POST \
--url https://api.sempera.org/v1/evals/quick-run \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sempera.org/v1/evals/quick-run"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sempera.org/v1/evals/quick-run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "judge_quick_run",
"template_id": "<string>",
"agent_id": "<string>",
"saved": false,
"calls_considered": 123,
"results": [
{
"call_id": "<string>",
"recorded_at": "<string>",
"verdict": "<string>",
"score": 123,
"rationale": "<string>"
}
]
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}